/*
	MyHelloView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_VIEW_H
#include "MyHelloView.h"
#endif

MyHelloView::MyHelloView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyHelloView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(24);
}


void MyHelloView::Draw(BRect)
{
	BRect frame = Bounds(); 
	StrokeRect(frame);

    MovePenTo(BPoint(10, 30));
    DrawString("Hello, My World!");
}


void MyHelloView::MouseDown(BPoint point)
{
    beep();
// *** NEW            need this call now in order for KeyDown() to work
    MakeFocus();    
// *** NEW  
}


// *** NEW 
void MyHelloView::KeyDown(const char *bytes, int32 numBytes)
{
    bigtime_t  microseconds = 1000000;  // one second

    switch ( *bytes ) {

        case B_RETURN:   // see BView Be Book description
            beep();
    		snooze(microseconds);
    		beep();
            break;
            
        case '0':
            beep();
    		snooze(microseconds);
            beep();
    		snooze(microseconds);
            beep();
            break;

        default:
            break;
    }
}
// *** NEW 

