/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
    // ** new
   int32   i;
   
   BRect   aRect;
      
   aRect.Set(30.0, 30.0, 130.0, 130.0);

   for (i = 0; i < 15; i++) {
      aRect.InsetBy(2.0, 2.0);
      StrokeRect(aRect);
   }
   
   aRect.Set(200.0, 30.0, 250.0, 130.0);
   FillRect(aRect);
}













