/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
    // ** new
   BRect    aRect;
   BRegion  *aRegion;

   aRegion = new BRegion();
   
   aRect.Set(20.0, 20.0, 70.0, 70.0);
   aRegion->Include(aRect);
   
   aRect.Set(50.0, 50.0, 150.0, 100.0);
   aRegion->Include(aRect);

   aRect.Set(85.0, 85.0, 170.0, 130.0);
   aRegion->Include(aRect);
   FillRegion(aRegion);

   MovePenTo(150.0, 20.0);
   
   if (aRegion->Contains(BPoint(60.0, 90.0)))
      DrawString("Point in region");
   else
      DrawString("Point not in region");
}













