/*
	MyHelloWindow.h
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.h
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_WINDOW_H
#define MY_HELLO_WINDOW_H

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

#ifndef _WINDOW_H
#include <Window.h>
#endif

#define   BUTTON_BEEP_MSG      	'beep'
#define   MENU_BEEP_1_MSG 			'bep1'
#define   MENU_BEEP_2_MSG        	'bep2'
#define   MENU_DRAW_CIRCLES_MSG	'circ'
#define   MENU_DRAW_SQUARES_MSG	'squa'
// NEW ********** next three defines are new:
#define   MENU_10_SHAPES_MSG   	'sh10'
#define   MENU_20_SHAPES_MSG   	'sh20'
#define   MENU_30_SHAPES_MSG   	'sh30'

class MyHelloWindow : public BWindow {

	public:
						MyHelloWindow(BRect frame); 
		virtual	bool	QuitRequested();
		virtual void	MessageReceived(BMessage* message);
	
	private:
		MyDrawView		*fMyView;
		BButton			*fButtonBeep;
		BMenuBar	    *fMenuBar;
		int32			fNumBeeps;
		// NEW ********** new data member:
		int32			fNumShapes;
};

#endif
