/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_PICTURE_VIEW_H
#include "MyPictureView.h"
#endif


MyPictureView::MyPictureView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyPictureView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);

    BeginPicture(new BPicture);  
      BRect  aRect;
      int32  i;
      
      for (i=0; i<100; i++) {
         aRect.Set(i*2, i*2, i*3, i*3);
         StrokeRect(aRect);
      }
   fPicture = EndPicture();
}


void MyPictureView::Draw(BRect)
{
  MovePenTo(0.0, 0.0);
  DrawPicture(fPicture);
}











