/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
    // ** new
   BPoint  point1;
   BPoint  point2;
   BPoint  point3;
      
   point1.Set(80.0, 40.0);
   point2.Set(30.0, 90.0);
   point3.Set(130.0, 90.0);
   StrokeTriangle(point1, point2, point3);

   point1.Set(180.0, 130.0);
   point2.Set(260.0, 150.0);
   point3.Set(200.0, 30.0);
   FillTriangle(point1, point2, point3);
}













