/*
	MyHelloWindow.h
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.h
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_WINDOW_H
#define MY_HELLO_WINDOW_H

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

#ifndef MY_RADIO_VIEW_H
#include "MyRadioView.h"
#endif

#ifndef _WINDOW_H
#include <Window.h>
#endif

// *** NEW
#define BUTTON_BEEP_MSG  'bEEp'
#define RADIO_BEEP_1_MSG 'bep1'
#define RADIO_BEEP_2_MSG 'bep2'
#define RADIO_BEEP_3_MSG 'bep3'
// *** NEW

class MyHelloWindow : public BWindow {

	public:
						MyHelloWindow(BRect frame); 
		virtual	bool	QuitRequested();
		virtual void	MessageReceived(BMessage* message);
	
	private:
		MyDrawView		*fMyView;
		BButton			*fButtonBeep;
		BRadioButton	*fRadioBeep1;
		BRadioButton	*fRadioBeep2;
		BRadioButton	*fRadioBeep3;
		int32			fNumBeeps;
		
// *** NEW
		MyRadioView    *fMyRadioView;
// *** NEW
};

#endif
