/*
	MyHelloWindow.h
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.h
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_WINDOW_H
#define MY_HELLO_WINDOW_H

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

#ifndef _WINDOW_H
#include <Window.h>
#endif

#define   TEST_MSG      	'test'

class MyHelloWindow : public BWindow {

	public:
						MyHelloWindow(BRect frame); 
		virtual	bool	QuitRequested();
		virtual void	MessageReceived(BMessage* message);
	
	private:
		MyDrawView		*fMyView;
		BMenuBar	    *fMenuBar;
};

#endif
