/*
	MyHelloWorld.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWorld.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif
#ifndef MY_HELLO_WORLD_H
#include "MyHelloWorld.h"
#endif


main()
{	
    MyHelloApplication *myApplication;

    myApplication = new MyHelloApplication();
    myApplication->Run();
	
    delete(myApplication);
    return(0);
}

/*

Allows two, and no more than two, instances of the application to run. 

The number of instances that can run itself isn't significant -- that's 
just an excuse to make use of "the be_roster object, a system-wide object 
that, among other things, maintains information on all running applictions. 
The roster reutrns a list of all running applications that have the 
signature [sig of my app]."

**Classes of interest**
BList
BRoster

**Affected files**
Open the resource file (double-click it) and set the Application Flags 
field to Multiple Launch.
All code changes are in MyHelloWorld.cpp

*/

//********** NEW   application signature is new *********
MyHelloApplication::MyHelloApplication()
		  		  : BApplication("application/x-dps-twoapps")
{

//******* NEW
BList  theList;
long   numApps;

be_roster->GetAppList("application/x-dps-twoapps", &theList);
numApps = theList.CountItems();

if (numApps > 2) {
	PostMessage(B_QUIT_REQUESTED);
	return;
}
//******* NEW

    BRect	aRect;

    aRect.Set(20, 30, 220, 130);
    fMyWindow = new MyHelloWindow(aRect);	
}
